<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<link
	href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"
	rel="stylesheet" id="bootstrap-css">
<script
	src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script
	src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->
<link rel="stylesheet" media="screen" th:href="@{/css/sample.css}" />
</head>

<body>
	<div class="simple-login-container">
		<h2>Login Form</h2>
		<form th:object="${employees}" method="POST" modelAttribute="employees" >  
		<div class="row">
			<div class="col-md-12 form-group">
				<input id="userName" type="text" th:field="*{name}" class="form-control" placeholder="Username" th:value="${userName}">
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 form-group">
				<input id="password" type="password" th:field="*{password}" placeholder="Enter your Password"
					class="form-control" th:value="${password}">
			</div>
		</div>
		<div class="row">
			<div class="col-md-12 form-group">
				<input class="btn btn-block btn-login" th:onclick="'login()'"
					placeholder="Submit">
			</div>
		</div>
		</form>  
		<div class="row">
			<div class="col-md-12">
				<a>made by Chandler</a>
			</div>
		</div>
	</div>
	
	<script th:inline="javascript">
	
	function login() {
		var data = {
				name : $("#userName").val(),
				password : $("#password").val()
		};
		console.log($("#userName").val());
		console.log($("#password").val());
		
		 $.ajax({
		        type: "POST",
		        contentType: "application/json",
		        url: "/demo/rest/signin",
		        data: JSON.stringify(data),
		        dataType: 'text',
		        cache: false,
		        timeout: 600000,
		        success: function (data) {
		            console.log("SUCCESS : ", data);
		        	if(data =='OK'){
		        		document.location.href = "/demo/index";
		        	}else {
		        		document.location.href = "/demo/access-denied";
		        	}
		        },
		        error: function (e) {
		            console.log("ERROR : ", e);
		        }
		    });
	}
 		
	</script>
</body>
</html>